/******************************************************************************
 * Module Name : $RCSfile: AboutDialog.java,v $
 *
 * Description : Quick and simple dialog showing the version basics.
 *
 * Updates:
 *   $Log: AboutDialog.java,v $
 *   Revision 1.8  2000/01/10 02:22:20  Jonathan
 *   v1.0.0
 *
 *   Revision 1.6  1999/11/27 10:31:29  Jonathan
 *   Interface tweaks.  Reporting on the menu.  Fooling around with HTML
 *   about box.
 *
 *   Revision 1.5  1999/11/15 22:26:51  Jonathan
 *   Report stuff compiles at least.  Doesn't run, mind you.
 *
 *   Revision 1.4  1999/10/24 22:37:54  Jonathan
 *   Proper CVS headers.  Fix A-018/19/20
 *
 *
 * Copyright Notice:
 * (c) 1999. This source code was developed by Jonathan Couper and friends. 
 * 	      	  You may use it for any purpose.  No guarantees given or implied.
 *****************************************************************************/ 
package standup;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.io.*;
import javax.swing.text.*;
import javax.swing.text.html.*;

public class AboutDialog extends JDialog 
	implements ActionListener		
{
	JPanel buttonPanel = new JPanel();
	JPanel mainPanel = new JPanel();
	JPanel westPanel = new JPanel();
	JButton doneButton = new JButton("Done");
	JEditorPane aboutEditorPane = new JEditorPane ();
	JScrollPane aboutTextPane = new JScrollPane (aboutEditorPane);
	ImageIcon aboutIcon = new ImageIcon (getClass().getResource ("images/about.gif"));
	JLabel aboutLabel = new JLabel (aboutIcon);	
	JLabel versionLabel = new JLabel ("v" + Application.getVersion(), SwingConstants.CENTER);
	
	/*
	 * Creates the dialog panel based on the specified collection.
	 */
	public AboutDialog (Frame frame) {
		super (frame, "About Stand-Up", true);
		
		/*
		 * Load the Image.
		 */
		getContentPane().add (mainPanel, BorderLayout.CENTER);
		getContentPane().add (westPanel, BorderLayout.WEST);
		getContentPane().add (buttonPanel, BorderLayout.SOUTH);
		
		/*
		 * Set up the URL.
		 */
		try {
			aboutEditorPane.setPage (getClass().getResource ("help/about.html"));			
			
		} catch (Exception ex) {
			System.out.println ("Cannot find.");
		}

		mainPanel.setLayout (new BorderLayout());
		mainPanel.add (aboutTextPane, BorderLayout.CENTER);
		aboutEditorPane.setEditable (false);
		aboutEditorPane.setBackground (aboutLabel.getBackground());
		aboutEditorPane.setBorder (BorderFactory.createEmptyBorder (5, 5, 5, 5));
		aboutTextPane.setHorizontalScrollBarPolicy (JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);		
		aboutTextPane.setVerticalScrollBarPolicy (JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);		

		westPanel.setLayout (new BorderLayout());
		westPanel.add (aboutLabel, BorderLayout.CENTER);
		westPanel.add (versionLabel, BorderLayout.NORTH);
		
		buttonPanel.add (doneButton);
		doneButton.addActionListener (this);
		
		/*
		 * Set our sizes size, and centre self.
		 */
		setSize(400, 300);	
		
	   	Dimension meSize = getSize();
	   	Dimension momSize = frame.getSize();
	   	Point momPos = frame.getLocationOnScreen();
	   	         
	   	this.setLocation (momPos.x + (momSize.width / 2) - (meSize.width / 2),
	   	                  momPos.y + (momSize.height / 2) - (meSize.height / 2));		
	}
	
	/*
  	 **************************************************************************
  	 * LISTENERS BELOW HERE
  	 **************************************************************************
  	 */

	/*
 	 **************************************************************************
	 * Act on our button actions.
	 */
	public void actionPerformed(ActionEvent e) {
		this.setVisible (false);
	}	
}