/******************************************************************************
 * Module Name : $RCSfile: HelpDialog.java,v $
 *
 * Description : Quick and simple dialog showing for help browsing.
 *
 * Updates:
 *   $Log: HelpDialog.java,v $
 *   Revision 1.3  2000/03/18 00:46:04  Jonathan
 *   Big changes in the way the IndexDialog works, including a new CardDialog.
 *   New preferences for column display.  Permit renaming of title files.
 *
 *   Revision 1.2  2000/02/18 22:35:23  Jonathan
 *   Add basic application settings support.
 *
 *   Revision 1.1  2000/01/10 02:24:41  Jonathan
 *   New help dialog.
 *
 *
 * Copyright Notice:
 * (c) 1999. This source code was developed by Jonathan Couper and friends. 
 * 	      	  You may use it for any purpose.  No guarantees given or implied.
 *****************************************************************************/ 
package standup;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.io.*;
import javax.swing.text.*;
import javax.swing.text.html.*;

public class HelpDialog extends JDialog 
	implements ActionListener		
{
	JPanel buttonPanel = new JPanel();
	JPanel mainPanel = new JPanel();
	JButton doneButton = new JButton("Done");
	JEditorPane helpEditorPane = new JEditorPane ();
	JScrollPane helpTextPane = new JScrollPane (helpEditorPane);
	
	/*
	 * Creates a help dialog and shows the index file.
	 */
	public HelpDialog (Frame frame) {
		this (frame, "index.html");
	}
		
	/*
	 * Creates a help dialog and shows the specified file.
	 */
	public HelpDialog (Frame frame, String firstFile) {
		super (frame, "Stand-Up Help", true);
		
		/*
		 * Load the Image.
		 */
		getContentPane().add (mainPanel, BorderLayout.CENTER);
		getContentPane().add (buttonPanel, BorderLayout.SOUTH);
		
		/*
		 * Set up the URL.
		 */
		try {
			helpEditorPane.setPage (getClass().getResource ("help/" + firstFile));			
			
		} catch (Exception ex) {
			System.out.println ("Cannot find.");
		}

		mainPanel.setLayout (new BorderLayout());
		mainPanel.add (helpTextPane, BorderLayout.CENTER);
		helpEditorPane.setEditable (false);
		helpEditorPane.setBorder (BorderFactory.createEmptyBorder (5, 5, 5, 5));
		helpTextPane.setHorizontalScrollBarPolicy (JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);		
		helpTextPane.setVerticalScrollBarPolicy (JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);		

		buttonPanel.add (doneButton);
		doneButton.addActionListener (this);
		
		/*
		 * Set our sizes size, and centre self.
		 */
		setSize(600, 450);	
		
	   	Dimension meSize = getSize();
	   	Dimension momSize = frame.getSize();
	   	Point momPos = frame.getLocationOnScreen();
	   	         
	   	this.setLocation (momPos.x + (momSize.width / 2) - (meSize.width / 2),
	   	                  momPos.y + (momSize.height / 2) - (meSize.height / 2));		
	}
	
	/*
  	 **************************************************************************
  	 * LISTENERS BELOW HERE
  	 **************************************************************************
  	 */

	/*
 	 **************************************************************************
	 * Act on our button actions.
	 */
	public void actionPerformed(ActionEvent e) {
		this.setVisible (false);
	}	
}