/******************************************************************************
 * Module Name : $RCSfile: CheckSelectDialog.java,v $
 *
 * Description : Utility class.
 *
 * Updates:
 *   $Log: CheckSelectDialog.java,v $
 *   Revision 1.2  1999/10/24 22:37:55  Jonathan
 *   Proper CVS headers.  Fix A-018/19/20
 *
 *
 * Copyright Notice:
 * (c) 1999. This source code was developed by Jonathan Couper and friends. 
 * 	      	  You may use it for any purpose.  No guarantees given or implied.
 *****************************************************************************/ 
package standup.util;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * A modal dialog which displays a vector of text items in a scrolling list of
 * checkboxes.  A method is provided to allow the creator to query the final
 * state of any checkbox after the dialog returns.
 */
public class CheckSelectDialog extends JDialog
	implements ActionListener 
{
	JPanel buttonPanel = new JPanel();
	JPanel listPanel = new JPanel();
	JButton okButton = new JButton ("OK");
	JButton cancelButton = new JButton ("Cancel");
	JPanel checkBoxPanel = new JPanel();
	JScrollPane scrollPane = new JScrollPane (checkBoxPanel);
	boolean userPressedOK = false;
 	
	public CheckSelectDialog (Frame frame, String title, Vector objects) {
		super (frame, title, true);
		
		this.getContentPane().setLayout (new BorderLayout());
		this.getContentPane().add (listPanel, BorderLayout.CENTER);
		this.getContentPane().add (buttonPanel, BorderLayout.SOUTH);

		checkBoxPanel.setLayout (new TopToBottomLayout());
       for (Enumeration e = objects.elements() ; e.hasMoreElements() ;) {
       		String text = e.nextElement().toString();
			checkBoxPanel.add (new JCheckBox (text, true));
       }

		listPanel.setBorder (BorderFactory.createEmptyBorder (5, 5, 5, 5));
		listPanel.setLayout (new BorderLayout());
		listPanel.add (scrollPane, BorderLayout.CENTER);

		buttonPanel.setLayout (new FlowLayout());
		buttonPanel.add (okButton);
		buttonPanel.add (cancelButton);
		
		okButton.addActionListener (this);
		cancelButton.addActionListener (this);	
		
		Dimension pref = this.getPreferredSize();
		this.setSize (300, 350);

	   	Dimension meSize = getSize();
	   	Dimension momSize = frame.getSize();
	   	Point momPos = frame.getLocationOnScreen();
	   	         
	   	this.setLocation (momPos.x + (momSize.width / 2) - (meSize.width / 2),
	   	                  momPos.y + (momSize.height / 2) - (meSize.height / 2));
	}
	
	public void actionPerformed(ActionEvent e) {
		JButton source = (JButton) e.getSource ();
		
		if (source == okButton) {
			userPressedOK = true;
		}
		
		this.setVisible (false);
	}
	
	public boolean getCheckState (int index) {
		JCheckBox box = (JCheckBox) checkBoxPanel.getComponent (index);
		return box.isSelected();
	}
	
	public boolean didUserPressOK () {
		return userPressedOK;
	}
}