/******************************************************************************
 * Module Name : $RCSfile: DateCellRenderer.java,v $
 *
 * Description : List listener which handles card updates.  Calls back to
 * 				  our main frame.
 *
 * Updates:
 *   $Log: DateCellRenderer.java,v $
 *   Revision 1.1  2000/01/07 05:43:34  Jonathan
 *   Render fixed cell dates differently
 *
 *   Revision 1.2  1999/10/24 22:37:56  Jonathan
 *   Proper CVS headers.  Fix A-018/19/20
 *
 *
 * Copyright Notice:
 * (c) 1999. This source code was developed by Jonathan Couper and friends. 
 * 	      	  You may use it for any purpose.  No guarantees given or implied.
 *****************************************************************************/ 
package standup.views;

import java.awt.*;
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.*;
import standup.*;
import standup.parse.*;

public class DateCellRenderer 
extends DefaultTableCellRenderer {
    public Component getTableCellRendererComponent (JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column) {
    	  Component component = super.getTableCellRendererComponent (table, value, isSelected, hasFocus, row, column);
    	  if (value instanceof CoverDate) {
    	  	  if (((CoverDate) value).isMark()) {
    	  	      component.setBackground (Color.gray);
    	  	  } else {
    	  	      component.setBackground (Color.white);
    	  	  }
    	  } else {
    	      component.setBackground (Color.white);
    	  }
    	  return component;
    }          	
}