/******************************************************************************
 * Module Name : $RCSfile: FullCardListener.java,v $
 *
 * Description : List listener which handles card updates.  Calls back to
 * 				  our main frame.
 *
 * Updates:
 *   $Log: FullCardListener.java,v $
 *   Revision 1.3  2000/01/09 00:11:55  Jonathan
 *   Edit Dialog, Preferences
 *
 *   Revision 1.2  1999/10/24 22:37:56  Jonathan
 *   Proper CVS headers.  Fix A-018/19/20
 *
 *
 * Copyright Notice:
 * (c) 1999. This source code was developed by Jonathan Couper and friends. 
 * 	      	  You may use it for any purpose.  No guarantees given or implied.
 *****************************************************************************/ 
package standup.views;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.*;
import standup.*;
import standup.parse.*;

public class FullCardListener 
	implements ListSelectionListener, MouseListener
{
	MainFrame frame = null;
	JTable table = null;

	public FullCardListener (JTable newTable, MainFrame newFrame) {
		table = newTable;
		frame = newFrame;		
	}
	
  	
  	/*
  	 **************************************************************************
  	 * List Selection Listener.  Notify our main frame that we had an update.
  	 */
  	public void valueChanged (ListSelectionEvent e)  {
  		frame.issueSelected (table);
  	}	
  	
  	/*
  	 **************************************************************************
  	 * Mouse released.  Try to map.
  	 */
  	public void mouseReleased (MouseEvent ev) {};
  	public void mouseEntered (MouseEvent ev) {};
  	public void mousePressed (MouseEvent ev) {};
  	public void mouseExited (MouseEvent ev) {};
  	public void mouseClicked (MouseEvent ev) {
  		if (ev.getClickCount() == 2) {
  			Point pt = ev.getPoint();
  			int rowIndex = table.rowAtPoint (pt);
  			int colIndex = table.columnAtPoint (pt);
  			
  			if ((rowIndex >= 0) && (colIndex >= 0)) {
  				frame.issueSelected (table);
  				frame.showEditDialog ();
  			}
  		}
  	};
}