/******************************************************************************
 * Module Name : $RCSfile: MutableCardTreeNode.java,v $
 *
 * Description : User node which handles being string edited.
 *
 * Updates:
 *   $Log: MutableCardTreeNode.java,v $
 *   Revision 1.3  2003/01/23 06:37:46  jcouper
 *   Version 1.1 Changes
 *
 *   Revision 1.2  1999/10/24 22:37:56  Jonathan
 *   Proper CVS headers.  Fix A-018/19/20
 *
 *
 * Copyright Notice:
 * (c) 1999. This source code was developed by Jonathan Couper and friends. 
 * 	      	  You may use it for any purpose.  No guarantees given or implied.
 *****************************************************************************/ 
package standup.views;

import javax.swing.tree.*;
import standup.parse.*;

public class MutableCardTreeNode
extends DefaultMutableTreeNode 
{
	public MutableCardTreeNode (Object userObject, boolean allowsChildren) {
		super (userObject, allowsChildren);
	}

	public void setUserObject (Object newUserObject) {
		if (newUserObject instanceof Card) {
			super.setUserObject (newUserObject);

		} else if (getUserObject() instanceof Card) {
			((Card) getUserObject()).setName (newUserObject.toString());
		}
	}
}